package com.ghy.order.mapper;

import com.ghy.order.domain.AfterServiceRecord;

import java.util.List;

/**
 * 售后记录Mapper接口
 *
 * @author clunt
 * @date 2022-09-25
 */
public interface AfterServiceRecordMapper {
    /**
     * 查询售后记录
     *
     * @param id 售后记录主键
     * @return 售后记录
     */
    AfterServiceRecord selectAfterServiceRecordById(String id);

    /**
     * 查询售后记录列表
     *
     * @param afterServiceRecord 售后记录
     * @return 售后记录集合
     */
    List<AfterServiceRecord> selectAfterServiceRecordList(AfterServiceRecord afterServiceRecord);

    /**
     * 新增售后记录
     *
     * @param afterServiceRecord 售后记录
     * @return 结果
     */
    int insertAfterServiceRecord(AfterServiceRecord afterServiceRecord);

    /**
     * 修改售后记录
     *
     * @param afterServiceRecord 售后记录
     * @return 结果
     */
    int updateAfterServiceRecord(AfterServiceRecord afterServiceRecord);

    /**
     * 删除售后记录
     *
     * @param id 售后记录主键
     * @return 结果
     */
    int deleteAfterServiceRecordById(String id);

    /**
     * 批量删除售后记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAfterServiceRecordByIds(String[] ids);

    /**
     * 查询未完成的售后记录 customer_final_check IS NULL
     *
     * @return 未完成的售后记录
     */
    AfterServiceRecord unfinished(Long orderDetailId);
}
